/*
 * Copyright (c) 1998, 2017, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 */

/**
 * Contains the collections framework, some internationalization support classes,
 * a service loader, properties, random number generation, string parsing
 * and scanning classes, base64 encoding and decoding, a bit array, and
 * several miscellaneous utility classes. This package also contains
 * legacy collection classes and legacy date and time classes.
 *
 * <h2><a id="CollectionsFramework"></a>{@index "Java Collections Framework"}</h2>
 * <p>For an overview, API outline, and design rationale, please see:
 * <ul>
 *   <li><a href="doc-files/coll-index.html">
 *          <b>Collections Framework Documentation</b></a>
 * </ul>
 *
 * <p>For a tutorial and programming guide with examples of use
 * of the collections framework, please see:
 * <ul>
 *   <li><a href="http://docs.oracle.com/javase/tutorial/collections/index.html">
 *          <b>Collections Framework Tutorial</b></a>
 * </ul>
 *
 * @since 1.0
 */
package java.util;
