/*
 * Copyright (c) 1998, 2017, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 */

/**
 * Provides interfaces and classes for dealing with different types of events
 * fired by AWT components. See the {@link java.awt.AWTEvent java.awt.AWTEvent}
 * class for details on the AWT event model. Events are fired by event sources.
 * An event listener registers with an event source to receive notifications
 * about the events of a particular type. This package defines events and event
 * listeners, as well as event listener adapters, which are convenience classes
 * to make easier the process of writing event listeners.
 *
 * @since 1.1
 */
package java.awt.event;
