/*
 * Copyright (c) 1998, 2017, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 */

/**
 * Provides the Java 2D classes for defining and performing operations on
 * objects related to two-dimensional geometry. Some important features of the
 * package include:
 * <ul>
 *     <li>classes for manipulating geometry, such as AffineTransform and the
 *     PathIterator interface which is implemented by all Shape objects.</li>
 *     <li>classes that implement the Shape interface, such as CubicCurve2D,
 *     Ellipse2D, Line2D, Rectangle2D, and GeneralShape.</li>
 *     <li>the Area class which provides mechanisms for add (union), subtract,
 *     intersect, and exclusiveOR operations on other Shape objects.</li>
 * </ul>
 *
 * @since 1.2
 */
package java.awt.geom;
