/*
 * Copyright (c) 2000, 2017, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 */

/**
 * Classes supporting the built-in JPEG plug-in.
 * <p>
 * This package contains some support classes for the built-in JPEG reader and
 * writer plug-ins. Classes are provided for representing quantization and
 * Huffman tables, and extensions of {@code ImageReadParam} and
 * {@code ImageWriteParam} are provided to supply tables during the reading and
 * writing process. For more information about the operation of the built-in
 * JPEG plug-ins, see the
 * <a href="../../metadata/doc-files/jpeg_metadata.html">JPEG metadata format
 * specification and usage notes</a>.
 *
 * @since 1.4
 */
package javax.imageio.plugins.jpeg;
