/*
 * Copyright (c) 2005, 2017, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 */

/**
 * Public classes used by the built-in TIFF plug-ins.
 * <p>
 * This package contains classes supporting the built-in TIFF reader and writer
 * plug-ins. Classes are provided for simplifying interaction with metadata,
 * including Exif metadata common in digital photography, and an extension of
 * {@link javax.imageio.ImageReadParam} which permits specifying which metadata
 * tags are allowed to be read. For more information about the operation of the
 * built-in TIFF plug-ins, see the
 * <a HREF="../../metadata/doc-files/tiff_metadata.html">TIFF metadata format
 * specification and usage notes</a>.
 *
 * @since 9
 */
package javax.imageio.plugins.tiff;
