/*
 * Copyright (c) 2000, 2017, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 */

/**
 * A package of the Java Image I/O API containing the plug-in interfaces for
 * readers, writers, transcoders, and streams, and a runtime registry.
 * <p>
 * The {@code javax.imageio.spi} package contains service provider interfaces
 * for reading, writing, and transcoding images, and obtaining image input and
 * output streams, as well as a run-time registry that discovers installed
 * instances of Image I/O service providers and allows new instances to be
 * registered dynamically.
 *
 * @since 1.4
 */
package javax.imageio.spi;
