/*
 * Copyright (c) 1998, 2017, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 */

/**
 * Provides the class {@code HTMLEditorKit} and supporting classes for creating
 * HTML text editors.
 * <p>
 * <strong>Note:</strong>
 * Most of the Swing API is <em>not</em> thread safe. For details, see
 * <a
 * href="http://docs.oracle.com/javase/tutorial/uiswing/concurrency/index.html"
 * target="_top">Concurrency in Swing</a>,
 * a section in
 * <em><a href="http://docs.oracle.com/javase/tutorial/"
 * target="_top">The Java Tutorial</a></em>.
 *
 * <h2>Package Specification</h2>
 * <ul>
 *     <li><a href="http://www.w3.org/TR/REC-html32.html" target="_top">
 *     HTML 3.2 Reference Specification</a> - The HTML specification on
 *     which HTMLEditorKit is based.
 * </ul>
 *
 * @since 1.2
 * @serial exclude
 */
package javax.swing.text.html;
