/*
 * Copyright (c) 2011, 2015, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 */
package jdk.vm.ci.hotspot;

import jdk.vm.ci.meta.ResolvedJavaField;

/**
 * Represents a field in a HotSpot type.
 */
public interface HotSpotResolvedJavaField extends ResolvedJavaField {

    /**
     * Determines if a given object contains this field.
     *
     * @return true iff this is a non-static field and its declaring class is assignable from
     *         {@code object}'s class
     */
    boolean isInObject(Object object);

    int offset();

    /**
     * Determines if this field should be treated as a constant.
     */
    boolean isStable();
}
