/*
 * Copyright (c) 2010, 2017, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 */

package jdk.javadoc.internal.doclets.formats.html.markup;

/**
 * Enum representing HTML styles. The name map to values in the CSS file.
 *
 *  <p><b>This is NOT part of any supported API.
 *  If you write code that depends on this, you do so at your own risk.
 *  This code and its internal interfaces are subject to change or
 *  deletion without notice.</b>
 *
 * @author Bhavesh Patel
 */
public enum HtmlStyle {
    aboutLanguage,
    activeTableTab,
    altColor,
    bar,
    block,
    blockList,
    blockListLast,
    bottomNav,
    circle,
    classUseContainer,
    colConstructorName,
    colDeprecatedItemName,
    colFirst,
    colLast,
    colSecond,
    constantsSummary,
    constantValuesContainer,
    contentContainer,
    deprecatedLabel,
    deprecatedSummary,
    deprecationBlock,
    deprecationComment,
    description,
    descfrmTypeLabel,
    details,
    docSummary,
    emphasizedPhrase,
    externalLink,
    fixedNav,
    header,
    horizontal,
    footer,
    implementationLabel,
    indexContainer,
    indexNav,
    inheritance,
    interfaceName,
    leftContainer,
    leftTop,
    leftBottom,
    legalCopy,
    mainContainer,
    memberNameLabel,
    memberNameLink,
    memberSummary,
    moduleLabelInPackage,
    moduleLabelInType,
    nameValue,
    navBarCell1Rev,
    navList,
    navListSearch,
    navPadding,
    overrideSpecifyLabel,
    overviewSummary,
    packageHierarchyLabel,
    packageLabelInType,
    packagesSummary,
    paramLabel,
    providesSummary,
    requiresSummary,
    returnLabel,
    rightContainer,
    rightIframe,
    rowColor,
    searchTagLink,
    searchTagResult,
    seeLabel,
    serializedFormContainer,
    simpleTagLabel,
    skipNav,
    sourceContainer,
    sourceLineNo,
    subNav,
    subNavList,
    subTitle,
    summary,
    tabEnd,
    tableTab,
    throwsLabel,
    title,
    topNav,
    typeNameLabel,
    typeNameLink,
    typeSummary,
    useSummary,
    usesSummary
}
